import 'package:hub/features/storage/index.dart';

enum SecureStorageKey implements ISecureStorageKey {
  isLogged,
  email,
  password,
  deviceType,
  token,
  accessPass,
  panicPass,
  fingerprintPass,
  haveLocal,
  deviceDescription,
}

extension SecureStorageKeyExtension on SecureStorageKey {
  String get value {
    switch (this) {
      case SecureStorageKey.isLogged:
        return 'fre_isLogged';
      case SecureStorageKey.email:
        return 'fre_email';
      case SecureStorageKey.password:
        return 'fre_passwd';
      case SecureStorageKey.deviceType:
        return 'fre_deviceType';
      case SecureStorageKey.token:
        return 'fre_token';
      case SecureStorageKey.accessPass:
        return 'fre_accessPass';
      case SecureStorageKey.panicPass:
        return 'fre_panicPass';
      case SecureStorageKey.fingerprintPass:
        return 'fre_fingerprintPass';
      case SecureStorageKey.haveLocal:
        return 'fre_have_local';
      case SecureStorageKey.deviceDescription:
        return 'fre_deviceDescription';
    }
  }
}
